Bug 971060 - distribution copy is broken in the CLI
distribution copy is broken in the CLI
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
2.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Michael Hrivnak
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 11:05 EDT by Michael Hrivnak
Modified: 2013-09-10 11:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:44:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hrivnak 2013-06-05 11:05:10 EDT
When trying to copy a distribution from the CLI, an error occurs that the CLI cannot handle. It gives the usual "please see ~/.pulp/admin.log" message. This traceback is found in /var/log/pulp/pulp.log:

Traceback (most recent call last):
  File "/home/mhrivnak/git/pulp/platform/src/pulp/server/managers/repo/unit_association.py", line 276, in associate_from_repo
    call_config, units=transfer_units)
  File "/home/mhrivnak/git/pulp_rpm/plugins/pulp_rpm/plugins/importers/yum/importer.py", line 68, in import_units
    return associate.associate(source_repo, dest_repo, import_conduit, config, units)
  File "/home/mhrivnak/git/pulp_rpm/plugins/pulp_rpm/plugins/importers/yum/associate.py", line 70, in associate
    group_ids, rpm_names, rpm_unit_keys = identify_children_to_copy(associated_units)
  File "/home/mhrivnak/git/pulp_rpm/plugins/pulp_rpm/plugins/importers/yum/associate.py", line 264, in identify_children_to_copy
    model = models.TYPE_MAP[unit.type_id](metadata=unit.metadata, **unit.unit_key)
TypeError: __init__() got an unexpected keyword argument 'id'
Comment 1 Michael Hrivnak 2013-06-05 11:21:04 EDT
https://github.com/pulp/pulp_rpm/pull/224
Comment 2 Jeff Ortel 2013-06-11 10:16:11 EDT
build: 2.2.0-0.3.beta
Comment 3 Preethi Thomas 2013-06-12 14:06:01 EDT
[root@hp-dl360g6-01 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.3.beta.fc18.noarch
[root@hp-dl360g6-01 ~]# pulp-admin rpm repo create --repo-id dist-copy
Successfully created repository [dist-copy]

[root@hp-dl360g6-01 ~]# pulp-admin rpm repo copy distribution --from-repo-id f18 --to-repo-id dist-copy
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...

[-]
Running...

Units:
  ks-Fedora-Fedora-18-x86_64

[root@hp-dl360g6-01 ~]# pulp-admin rpm repo content distribution --repo-id f18
Id:            ks-Fedora-Fedora-18-x86_64
Family:        Fedora
Architecture:  x86_64
Variant:       Fedora
Storage Path:  /var/lib/pulp/content/distribution/ks-Fedora-Fedora-18-x86_64

Files:
  Filename:       initrd.img
  Relative Path:  images/pxeboot/initrd.img
  Size:           27896116.0
  Checksum Type:  sha256
  Checksum:       df98a668e869813b2b902f48b23a2052f1b39ad6d6981c023fa6c0e5d1867b
                  b2

  Filename:       vmlinuz
  Relative Path:  images/pxeboot/vmlinuz
  Size:           4862486.0
  Checksum Type:  sha256
  Checksum:       1a27cb42559ce29237ac186699d063556ad69c8349d732bb1bd8d614e5a8cc
                  2e

  Filename:       upgrade.img
  Relative Path:  images/pxeboot/upgrade.img
  Size:           27300708.0
  Checksum Type:  sha256
  Checksum:       fe1562f0306bc033fbbe4053836c68081e6a86c4097dae84e801476243bd5b
                  14

  Filename:       boot.iso
  Relative Path:  images/boot.iso
  Size:           308281344.0
  Checksum Type:  sha256
  Checksum:       df219f559311d255f7de7bff0bc8102e57b5352f3f6ecbeb8d583c2f780be4
                  49

  Filename:       efiboot.img
  Relative Path:  images/efiboot.img
  Size:           6219776.0
  Checksum Type:  sha256
  Checksum:       b8561d4a3a6ea1c32c5ebafe1026d3c7c6eccf12cc886a812e8c14d6e3c365
                  46

  Filename:       macboot.img
  Relative Path:  images/macboot.img
  Size:           24903680.0
  Checksum Type:  sha256
  Checksum:       e9638247597ebbfd5e7978105fdddefaa4c8fd05618dea7c5497bc82e83cdf
                  88

  Filename:       squashfs.img
  Relative Path:  LiveOS/squashfs.img
  Size:           209694720.0
  Checksum Type:  None
  Checksum:       None

  Filename:       repomd.xml
  Relative Path:  repodata/repomd.xml
  Size:           3412.0
  Checksum Type:  sha256
  Checksum:       b81ced4ec47f62be6b7671ba87a41e05c8b41991eee6ce1a5e24088aaf7623
                  36


[root@hp-dl360g6-01 ~]# pulp-admin rpm repo content distribution --repo-id dist-copy
Id:            ks-Fedora-Fedora-18-x86_64
Family:        Fedora
Architecture:  x86_64
Variant:       Fedora
Storage Path:  /var/lib/pulp/content/distribution/ks-Fedora-Fedora-18-x86_64

Files:
  Filename:       initrd.img
  Relative Path:  images/pxeboot/initrd.img
  Size:           27896116.0
  Checksum Type:  sha256
  Checksum:       df98a668e869813b2b902f48b23a2052f1b39ad6d6981c023fa6c0e5d1867b
                  b2

  Filename:       vmlinuz
  Relative Path:  images/pxeboot/vmlinuz
  Size:           4862486.0
  Checksum Type:  sha256
  Checksum:       1a27cb42559ce29237ac186699d063556ad69c8349d732bb1bd8d614e5a8cc
                  2e

  Filename:       upgrade.img
  Relative Path:  images/pxeboot/upgrade.img
  Size:           27300708.0
  Checksum Type:  sha256
  Checksum:       fe1562f0306bc033fbbe4053836c68081e6a86c4097dae84e801476243bd5b
                  14

  Filename:       boot.iso
  Relative Path:  images/boot.iso
  Size:           308281344.0
  Checksum Type:  sha256
  Checksum:       df219f559311d255f7de7bff0bc8102e57b5352f3f6ecbeb8d583c2f780be4
                  49

  Filename:       efiboot.img
  Relative Path:  images/efiboot.img
  Size:           6219776.0
  Checksum Type:  sha256
  Checksum:       b8561d4a3a6ea1c32c5ebafe1026d3c7c6eccf12cc886a812e8c14d6e3c365
                  46

  Filename:       macboot.img
  Relative Path:  images/macboot.img
  Size:           24903680.0
  Checksum Type:  sha256
  Checksum:       e9638247597ebbfd5e7978105fdddefaa4c8fd05618dea7c5497bc82e83cdf
                  88

  Filename:       squashfs.img
  Relative Path:  LiveOS/squashfs.img
  Size:           209694720.0
  Checksum Type:  None
  Checksum:       None

  Filename:       repomd.xml
  Relative Path:  repodata/repomd.xml
  Size:           3412.0
  Checksum Type:  sha256
  Checksum:       b81ced4ec47f62be6b7671ba87a41e05c8b41991eee6ce1a5e24088aaf7623
                  36

[root@hp-dl360g6-01 ~]#
Comment 4 Preethi Thomas 2013-09-10 11:44:01 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.